<?php

#-------------------------------------------------------------
#- Ustawienia
#-------------------------------------------------------------
require_once(dirname(__FILE__)."/include/inc_config/config.inc.php");

#-------------------------------------------------------------
#- Deklaracje zmiennych
#-------------------------------------------------------------

//- zmienne uywane w szablonie strony lub wyswietlaniu
$tresc_strony = "";

//- deklaracja zmiennych uzywanych w formularzu, na te zmienne bdziemy zapisywali dane przesane z formularza
$uzy_login = "";
$uzy_haslo = "";
$uzy_hasloP = "";
$uzy_imie = "";
$uzy_nazwisko = "";
$uzy_login = "";
$uzy_email = "";

//- deklaracja zmiennych uzywanych do wyswietlania komunikatw o ewentualnych bledach w przekazanych danych
$error_uzy_login = "";
$error_uzy_haslo = "";
$error_uzy_imie = "";
$error_uzy_nazwisko = "";
$error_uzy_login = "";
$error_uzy_email = "";



#-------------------------------------------------------------
#- Inicjalizacja zmiennych
#-------------------------------------------------------------
$tytul_strony = "Rejestracja uytkownika";


#-------------------------------------------------------------
#- Main
#-------------------------------------------------------------
if(count($_POST) > 0 ){
	
	//- zmienne pomocnicze
	$poprawnosc = true;
	
	/* dane z formularza przesanego metod POST moemy pobra na 2 sposoby
	
	1 - odwolujac sie do tablicy asocjacyjnej $_POST
	2 - odwolujac sie do tablicy asocjacyjnej $_REQUEST

	*/
	
	//- wczytanie na zmienne przeslanych danych z formularza
	$uzy_login = $_POST['uzy_login']; 
	$uzy_haslo = $_POST['uzy_haslo'];
	$uzy_hasloP = $_POST['uzy_hasloP'];
	$uzy_imie = $_POST['uzy_imie'];
	$uzy_nazwisko = $_POST['uzy_nazwisko'];
	$uzy_email = $_POST['uzy_email'];

	/* po wczytaniu danych sprawdzamy czy zostay wprowadzone wymagane dane oraz czy s poprawne (wstpna weryfikacja)
	Na pocztku moemy sprawdzi czy wszystkie wymagane pola s wypenione.
	Najprostsz metod jest zastosowanie instrukcji if

	UWAGA! W tym przykadzie kontrolujemy poprawnoc danych po stronie serwera. Dodatkowo moemy kontrolowa dane po stronie
	klienta przy pomocy JavaScript. Zawsze jednak warto robi podwjna kontrol danych jeeli chcemy mie pewnoc, e wprowadzone
	dane bd takie jakie zaoylimy. Kontrole po stronie klienta mona obej!

	Wyraenie regularne.
	W celu kontroli danych, ktre zostay przesane zostan wykorzystane wyraenia regularne.
	W tym funkcje
	preg_match - sprawdza czy wartoc jest zgodna z podanym wyraeniem

	preg_match($wzor, $dataValue) - jako 1 parametr podajemy wzr, czyli wyraenie regulrane, jako 2 parametr podajemy warto
	http://pl.php.net/manual/pl/function.preg-match.php
	*/

	if($uzy_login == ''){//- sprawdzamy czy zostal podany login, jak nie zostal zapisujemy na zmienna odpowiedni komunikat
		$error_uzy_login = "Podaj login";
		$poprawnosc = false;
	}
	else{//- login zosta podany, teraz naley sprawdzi czy spenia zaoenia (litery i cyfry)
		
		$wzor="/^[0-9a-zA-Z]+$/"; //- wyrazenie regularne (umozliwia podanie liczb od 0-9 oraz liter ) + oznacza od 1 do nieskonczonosci

		if(!preg_match($wzor, $uzy_login)){//- testowanie czy login spelnia zaoenia
			$error_uzy_login = "Podaj poprawny login. Login moe skada si z liter i cyfr (bez polskich znakw)!";
			$poprawnosc = false;
		}
	}

	if($uzy_haslo == ''){//- sprawdzamy czy zostal podany login, jak nie zostal zapisujemy na zmienna odpowiedni komunikat
		$error_uzy_haslo = "Podaj haso";
		$poprawnosc = false;
	}
	else{//- haso zostalo podane
		
		/* 
		sprawdzenie czy podane hasa s takie same
		do tego celu uyjemy funkcji 
		strcmp 
		http://pl.php.net/manual/pl/function.strcmp.php
		*/
		if(strcmp($uzy_haslo, $uzy_hasloP)==0){//jak funkcja zwrci wynik 0 oznacza, ze hasla sa rowne

			
			$wzor="/^[0-9a-zA-Z]+$/"; //- wyrazenie regularne (umozliwia podanie liczb od 0-9 oraz liter ) + oznacza od 1 do nieskonczonosci

			if(!preg_match($wzor, $uzy_haslo)){//- testowanie czy login spelnia zaoenia
				$error_uzy_haslo = "Podaj poprawny login. Login moe skada si z liter i cyfr (bez polskich znakw)!";
				$poprawnosc = false;
			}
		}
		else{
			$error_uzy_haslo = "Podane hasa nie s takie same!";
			$poprawnosc = false;
		}
	}

	if($uzy_imie == ''){//- sprawdzamy czy zostal podany login, jak nie zostal zapisujemy na zmienna odpowiedni komunikat
		$error_uzy_imie = "Podaj imi";
		$poprawnosc = false;
	}

	if($uzy_nazwisko == ''){//- sprawdzamy czy zostal podany login, jak nie zostal zapisujemy na zmienna odpowiedni komunikat
		$error_uzy_nazwisko = "Podaj nazwisko";
		$poprawnosc = false;
	}

	if($uzy_email != ''){//- sprawdzenie poprawnosci adresu email
		
		$wzor="/^[+]?[-0-9a-zA-Z\._]+\@[-_0-9a-zA-Z][-0-9a-zA-Z_\.]+\.[0-9a-zA-Z\.]*[0-9a-zA-Z]\.?$/";

		if(!preg_match($wzor, $uzy_email)){
			$error_uzy_email = "Podaj poprawny adres email";
			$poprawnosc = false;
		}
		
	}

	//- jak dane przeszy pomylnie wszystkie testy to mozemy rozpoczac operacje na bazie danych
	if($poprawnosc){
		
		/******************************************
		PROSZE PODAC SWOJE DANE KONTA MySQL
		*******************************************/
		$user='mnowak3';
		$password='terefere';
		$database='mnowak3';
		$host='direct.wsisiz.edu.pl';


		/*
		podczas rejestracji uytkownikw naley sprawdzi czy czasem podany login nie jest juz wykorzystany,
		wiec pierwsze co robimy to dokonujemy sprawdzenia w bazie danych.
		*/

		
		//- kto mgcy si przyczepi do tego zapytania i powiedzie, e nie jest wykonane sprawdzenie w wyraeniu where, daltego
		//- przypominam, e wczeniej nasz login przeszed kontrol poprawnoci, wic miao mog go wstawi bezporednio do zapytania
		$zapytanieSQL = "select uzy_login from uzytkownicy where uzy_login = '".$uzy_login."'";

		/*
		mamy juz 1 zapytanie, teraz musimy poczy si z baz danych. Oczywicie sposb poczenia i odpowiednie instrukcje (funkcje itp...)
		zale od tego jak baz danych wykorzystamy. W naszym przypadku baz danych jest MySQL, dlatego bdziemy wykorzystywali polecenia
		do obsugi tej wanie bazy danych

		http://pl.php.net/manual/pl/ref.mysql.php
		
		Aby poczy si z baz danych uytjemy polecenia mysql_connect

		mysql_connect -- Otwiera poczenie z serwerem MySQL
		Opis
		resource mysql_connect ( [string serwer [, string uytkownik [, string haso [, bool nowy_identyfikator [, int opcje_klienta]]]]] )

		Podczas polaczenia z baza danych sam stan polaczenia zapisujemy na specjalna zmienna resource
		*/

		if(!$db_conn = @mysql_connect($host, $user,$password)){ //- polaczenia z baz danych
			$tresc_strony =  'Przepraszamy, ale wystpiy problemy z poczeniem z baz danych';
		}
		else{

			if( ! @mysql_select_db($database, $db_conn ) )//- wybr bazy danych
				$tresc_strony = 'Database error - Bad wyboru bazy danych';
			else{
				
				//- i wrecie dopiero teraz mozemy wykonac nasze zapytanie sprawdzajace czy login jest wykorzystywany

				$wyniki = mysql_query ($zapytanieSQL, $db_conn);

				if(!$row = mysql_fetch_array($wyniki)){ // sprawdzenie czy zosta zwrcony jaki rekord (!) - jak nie zostal to dodajemy
					//md5 - szyfrowanie hasa (algorytm bazuje na RSA)

					$zapytanieSQL = "insert into uzytkownicy(uzy_login, uzy_haslo, uzy_imie, uzy_nazwisko, uzy_email)
					values('".$uzy_login."', '".md5($uzy_haslo)."', '".$uzy_imie."', '".$uzy_nazwisko."', '".$uzy_email."')";

					if(mysql_query ($zapytanieSQL, $db_conn)){

						@mysql_close($db_conn); //- zamknicie poczenia z baz danych
						header("Location: register_confirm.php"); //przekierowanie do strony potwierdzajacej
					}
				}
				else{
					$error_uzy_login = "Podany login jest juz zarejestrowany. Prosimy poda inny";
				}
			}

		}
		@mysql_close($db_conn); //- zamknicie poczenia z baz danych

		//- @ przed poleceniem powoduj, iz w przypadku wystpienia bdu nie pojawi si komunikat bdu generowany przez parser
		
	}
}

#-------------------------------------------------------------

//- wczytanie nagwka
include(dirname(__FILE__)."/include/inc_html/naglowek.inc")
?>

<?=$tresc_strony?>

<form name="form1" action="register.php" method="post">
<table>

<tr>
	<td class="cntTdR">Login <span style="color:red;">*</span>:</td>
	<td>
		<input type="text" name="uzy_login" size="20" maxlength="30" value="<?=$uzy_login?>" />
	</td>
	<td style="width:250px;">
		<span id="error_uzy_login" style="color:red;"><?=$error_uzy_login?></span>
	</td>
</tr>
<tr>
	<td class="cntTdR">Haso <span style="color:red;">*</span>:</td>
	<td>
		<input type="password" name="uzy_haslo" />
	</td>
	<td>
		<span id="error_uzy_haslo" style="color:red;"><?=$error_uzy_haslo?></span>
	</td>
</tr>
<tr>
	<td class="cntTdR">Powtrz haso <span style="color:red;">*</span>:</td>
	<td>
		<input type="password" name="uzy_hasloP" />
	</td>
</tr>
<tr>
	<td class="cntTdR">Imi <span style="color:red;">*</span>:</td>
	<td>
		<input type="text" name="uzy_imie" size="30" maxlength="25" value="<?=$uzy_imie?>" />
	</td>
	<td>
		<span id="error_uzy_imie" style="color:red;"><?=$error_uzy_imie?></span>
	</td>
</tr>
<tr>
	<td class="cntTdR">Nazwisko <span style="color:red;">*</span>:</td>
	<td>
		<input type="text" name="uzy_nazwisko" size="30" maxlength="25" value="<?=$uzy_nazwisko?>" />
	</td>
	<td>
		<span id="error_uzy_nazwisko" style="color:red;"><?=$error_uzy_nazwisko?></span>
	</td>
</tr>
<tr>
	<td class="cntTdR">E-mail :</td>
	<td>
		<input type="text" name="uzy_email" size="20" maxlength="40" value="<?=$uzy_email?>" />
	</td>
	<td>
		<span id="error_uzy_email" style="color:red;"><?=$error_uzy_email?></span>
	</td>
</tr>
<tr>
	<td></td>
	<td><input type="submit" value="Wylij dane" /></td>
</tr>
<tr>
	<td colspan="2" style="padding-top:20px;"><span style="color:red;">*</span> - pola wymagane</td>
</tr>
</table>
</form>

<?php
include(dirname(__FILE__)."/include/inc_html/stopka.inc")
?>